package escaper

import "strings"

// https://www.htmlsymbol.com/html-entities/

var htmlEntitesEscaper = strings.NewReplacer(
	`Ä`, "&#196;",
	`ä`, "&#228;",
	`Ö`, "&#214;",
	`ö`, "&#246;",
	`Ü`, "&#220;",
	`ü`, "&#252;",
)

func EscapeHtmlEntites(s string) string {
	return htmlEntitesEscaper.Replace(s)
}
